Workspaces / REST API

Delete workspace

Permanently delete one exact workspace owned by the authenticated personal-token user. Requires confirm=true. This cannot be undone.

DELETE /api/v1/workspaces/{targetWorkspaceId}Deterministic operation

Parameters

workspaceIdOptional · string
Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
targetWorkspaceIdRequired · string
Exact workspace to delete. This is never replaced by the workspace selected for authentication.
confirmRequired · boolean
See the input schema for this field.
Request example
curl -X DELETE "https://app.pipeline.help/api/v1/workspaces/00000000-0000-4000-8000-000000000000?confirm=true" \
  -H "Authorization: Bearer $PIPELINE_API_KEY"
Full input schema
Input schema
{
  "type": "object",
  "properties": {
    "workspaceId": {
      "type": "string",
      "minLength": 1,
      "description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
    },
    "targetWorkspaceId": {
      "type": "string",
      "description": "Exact workspace to delete. This is never replaced by the workspace selected for authentication."
    },
    "confirm": {
      "type": "boolean",
      "const": true
    }
  },
  "required": [
    "targetWorkspaceId",
    "confirm"
  ]
}
See this operation inCLI MCP TypeScript SDK
API reference | Pipeline v2 preview